Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class ClassInstanceAdvisor

    java.lang.Object
      org.jboss.aop.ClassInstanceAdvisor

All Implemented Interfaces:
  InstanceAdvisor, Serializable

public class ClassInstanceAdvisor
extends Object
implements InstanceAdvisor, Serializable

Holds an object instance's metadata and attached interceptors

Version:
  $Revision: 1.33 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected ArrayList` | `appendedInterceptors`
`protected WeakReference` | `classAdvisorRef`
`boolean` | `hasInstanceAspects`
`protected ArrayList` | `insertedInterceptors`
`protected WeakReference` | `instanceRef`

Constructor Summary
`ClassInstanceAdvisor()`
`ClassInstanceAdvisor(Object obj)`

Method Summary
`void` | `appendInterceptor(Interceptor interceptor)`
`void` | `appendInterceptor(int index, Interceptor interceptor)`
`void` | `appendInterceptorStack(String stackName)`
`protected void` | `finalize()` Added to notify interceptor chain observer of interceptor chain garbage collection.
`Domain` | `getDomain()`
`Interceptor[]` | `getInterceptors()`
`Interceptor[]` | `getInterceptors(Interceptor[] advisorChain)` Called by the advisor
`SimpleMetaData` | `getMetaData()`
`Object` | `getPerInstanceAspect(AspectDefinition def)`
`Object` | `getPerInstanceAspect(String def)` Get the instance of an aspect.
`Object` | `getPerInstanceJoinpointAspect(Joinpoint joinpoint, AspectDefinition def)`
`boolean` | `hasAspects()`
`boolean` | `hasInterceptors()`
`void` | `insertInterceptor(Interceptor interceptor)`
`void` | `insertInterceptor(int index, Interceptor interceptor)`
`void` | `insertInterceptorStack(String stackName)`
`void` | `removeInterceptor(String name)` This will not remove interceptor pointcuts! You will have to do this through AspectManager
`void` | `removeInterceptorStack(String stackName)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### insertedInterceptors

    protected ArrayList insertedInterceptors

### appendedInterceptors

    protected ArrayList appendedInterceptors

### instanceRef

    protected WeakReference instanceRef

### classAdvisorRef

    protected transient WeakReference classAdvisorRef

### hasInstanceAspects

    public boolean hasInstanceAspects

Constructor Detail

### ClassInstanceAdvisor

    public ClassInstanceAdvisor()

### ClassInstanceAdvisor

    public ClassInstanceAdvisor(Object obj)

Method Detail

### hasInterceptors

    public boolean hasInterceptors()

  Specified by:
    `hasInterceptors` in interface `InstanceAdvisor`

### getPerInstanceAspect

    public Object getPerInstanceAspect(String def)

  Description copied from interface: `InstanceAdvisor`
  Get the instance of an aspect. An aspect encapsulates a set of advices.

  Specified by:
    `getPerInstanceAspect` in interface `InstanceAdvisor`
  Parameters:
    `def` -
  Returns:

### getPerInstanceAspect

    public Object getPerInstanceAspect(AspectDefinition def)

  Specified by:
    `getPerInstanceAspect` in interface `InstanceAdvisor`

### getPerInstanceJoinpointAspect

    public Object getPerInstanceJoinpointAspect(Joinpoint joinpoint,
                                                AspectDefinition def)

  Specified by:
    `getPerInstanceJoinpointAspect` in interface `InstanceAdvisor`

### getMetaData

    public SimpleMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `InstanceAdvisor`

### getInterceptors

    public Interceptor[] getInterceptors()

  Specified by:
    `getInterceptors` in interface `InstanceAdvisor`

### getInterceptors

    public Interceptor[] getInterceptors(Interceptor[] advisorChain)

  Called by the advisor

  Specified by:
    `getInterceptors` in interface `InstanceAdvisor`

### insertInterceptor

    public void insertInterceptor(int index,
                                  Interceptor interceptor)

  Specified by:
    `insertInterceptor` in interface `InstanceAdvisor`

### insertInterceptor

    public void insertInterceptor(Interceptor interceptor)

  Specified by:
    `insertInterceptor` in interface `InstanceAdvisor`

### appendInterceptor

    public void appendInterceptor(Interceptor interceptor)

  Specified by:
    `appendInterceptor` in interface `InstanceAdvisor`

### appendInterceptor

    public void appendInterceptor(int index,
                                  Interceptor interceptor)

  Specified by:
    `appendInterceptor` in interface `InstanceAdvisor`

### removeInterceptor

    public void removeInterceptor(String name)

  This will not remove interceptor pointcuts! You will have to do this through AspectManager

  Specified by:
    `removeInterceptor` in interface `InstanceAdvisor`

### hasAspects

    public final boolean hasAspects()

  Specified by:
    `hasAspects` in interface `InstanceAdvisor`

### insertInterceptorStack

    public void insertInterceptorStack(String stackName)

  Specified by:
    `insertInterceptorStack` in interface `InstanceAdvisor`

### appendInterceptorStack

    public void appendInterceptorStack(String stackName)

  Specified by:
    `appendInterceptorStack` in interface `InstanceAdvisor`

### removeInterceptorStack

    public void removeInterceptorStack(String stackName)

  Specified by:
    `removeInterceptorStack` in interface `InstanceAdvisor`

### getDomain

    public Domain getDomain()

  Specified by:
    `getDomain` in interface `InstanceAdvisor`

### finalize

    protected void finalize()

  Added to notify interceptor chain observer of interceptor chain garbage collection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.